/* $Id: pftypes.h,v 1.2 2004/04/07 18:28:40 play_fair Exp $
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License as
** published by the Free Software Foundation; either version 2 of the
** License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
** 02111-1307, USA.
*/

#ifndef __TYPES_INCLUDED__
#define __TYPES_INCLUDED__

#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif

#ifndef __cplusplus
#ifndef __bool_defined
#define __bool_defined
typedef unsigned char bool;
#endif
#endif

/* file callback structure */
typedef struct
{
    int (*die)(void *user_data, u_int8_t err, ...);
    void (*log)(void *user_data, u_int8_t level, char *str);
    void (*status)(void *user_data, char *status);
    void *user_data;
} playfair_callback_t;

#endif /* __TYPES_INCLUDED__ */
